Chat now with support
Chat with Support

Identity Manager Data Governance Edition 8.0 - Release Notes

Data Governance Edition system requirements

Before installing Data Governance Edition, ensure that your system meets the following minimum hardware and software requirements.

In addition, ensure that the minimum permissions and communication port requirements are met to ensure proper authentication and communication with Data Governance Edition components.

Data Governance server

The Data Governance server refers to the server where the Data Governance service is installed. This server must meet the following minimum system requirements.

Table 21: Minimum system requirements: Data Governance server
Processor quad core CPU
Memory 16GB RAM
Free drive space 100GB
Operating system

64-bit Windows operating systems:

  • Windows Server 2008
  • Windows Server 2008 R2
  • Windows Server 2012
  • Windows Server 2012 R2
  • Windows Server 2016

NOTE: Only a 64-bit server for Data Governance Edition is supported. Ensure that the server installed on a given computer uses the correct architecture to match the installed operating system.
Software

.NET Framework 4.5.2

Database server

The Database server refers to the server hosting the One Identity Manager database. One Identity Manager supports both SQL Server and Oracle Database database systems.

The following system requirements must be met in order to install the database on a server for use with Data Governance Edition. For more details on the system requirements for One Identity Manager, see the One Identity Manager Installation Guide or One Identity Manager Release Notes.

Table 22: Minimum system requirements: Database server
Processor 16 cores with 2.5GHz+
Memory

32GB RAM minimum

NOTE: In addition to One Identity Manager's memory requirements of 16 + GB, Data Governance Edition requires an extra 16GB of RAM.
Free disk space In addition to One Identity Manager's database server requirements of 100GB, Data Governance Edition requires an extra 30GB per million resources.
Operating system

64-bit Windows operating systems:

  • Windows Server 2008 (non-Itanium based 64-bit), Service Pack 2 or later
  • Windows Server 2008 R2 (non-Itanimum based 64-bit), Service Pack 1 or later
  • Windows Server 2012
  • Windows Server 2012 R2
  • Windows Server 2016

NOTE: The 64-bit requirement for the later Windows Server versions is specific to Data Governance Edition.

UNIX and Linux operating systems:

  • Note the minimum requirements given by the operating system manufacturer for Oracle databases.
Table 23: Additional system requirements for implementing a SQL Server Database

Software

SQL Server

The following versions are supported:

  • Microsoft SQL Server 2016 Standard Edition, Service Pack 1 or later

    NOTE: SQL Server 2016 Enterprise Edition is recommended for performance reasons.
  • SQL Server Management Studio (recommended)

Compatibility level for databases

SQL Server 2016 (130)

Default collation
  • Case-insensitive
  • Recommendation: SQL_Latin1_General_CP1_CI_AS (recommended)

    NOTE: The collation "SQL_Latin1_General_CP1_CI_AS" is expected on One Identity Manager schema installation and applied to the database as required.

Default language for database server users

English

Language for database users

English

Additional requirements

Start the SQL Server Agent in the SQL Server Service Management Portal. You can log in to a SQL Server Agent as a domain user with Windows authentication or with a local system account.

NOTE: Performance may worsen if table variables are implemented. Microsoft provided a fix for this. You must set the trace flag 2453 in this case. You can set the start parameter in the server start options to -T2453. For more information, see https://support.microsoft.com/en-us/kb/2952444 and https://msdn.microsoft.com/en-us/library/ms345416%28v=sql.110%29.aspx
Table 24: Additional system requirements for implementing an Oracle Database

Software

Oracle Database:

The following versions are supported:

  • Oracle Database 12c Standard Edition or Enterprise Edition version 12.1.0.2 or later

The patch level differs depending on the system platform.

NOTE: It is strongly recommended that you apply the patches for Oracle bugs 18097476 (Doc ID 1683819.1) and 19497286 (Doc ID 19497286.8).

Oracle Client Tools:

This version should correspond at least to the version of the database is use. Note the recommendation of Oracle with respect to the Client Tools you want to implement.

In a 64-bit system, the Oracle clients are required in 64-bit and 32-bit versions.

NOTE: The use of Oracle Client Tools is only supported by One Identity Manager under Windows operating systems.

NOTE: If a direct connection is possible to the Oracle database by TCP/IP, the Oracle client is not necessary. The One Identity Manager connector integrated in Oracle sets up the database connection.

NOTE: Use of Oracle Real Application Clusters and other Oracle database configurations require:

  • input of several "ADDRESS" entries for one "net_service_name" in the client-side tnsname.ora

    or

  • additional entries in the client-side sqlnet.ora

if access to the Oracle database is through the Oracle client.

Character set

  • Unicode (AL32TF8) with the option "Oracle Text"
  • Parameter NLS_LENGTH_SEMANTICS with value "Char"

Tablespace

An initial tablespace must be set up. The tablespace must have a block size of at least 8 kBytes.

NOTE: If systems are implemented which have several nodes (for example, clusters), all of the nodes must have the same patch level.

Data Governance agent

The Data Governance agent refers to the server hosting a local or remote Data Governance Edition agent.

This server must meet the following minimum system requirements.

Table 25: Minimum system requirements: Data Governance agent
Processor 500MHz+
Memory 1024MB RAM
Free disk space

20 GB

NOTE: The agent will use the required CPU, memory and disk space to perform scans, data synchronizations, queries and activity reporting. Unexpected behavior will occur if any of these resources are depleted.
Operating system

Windows operating systems:

  • Windows Server 2008
  • Windows Server 2008 (R2) (32-bit or non-Itanium 64-bit)
  • Windows Server 2012
  • Windows Server 2012 R2
  • Windows Server 2016

NOTE: New Dynamic Access Control (DAC) features are not supported.

NOTE: When an agent is installed on Windows Server 2012/2012 R2, disable the following local policy: "User Account Control: run all Administrators in Admin Approval Mode".

NOTE: The following certificate must be installed as a Trusted Root Certification Authority on the target agent host computer: VeriSign Class 3 Public Primary Certification Authority — G5.cer.
Software

.NET Framework 4.5 or later

.NET Framework 3.5.1 (SharePoint 2010 agents)

NOTE: SharePoint 2010 agents require .NET Framework 3.5.1; all other Windows Servers and SharePoint 2013 farms hosting an agent require .NET Framework 4.5 or later.
Related Documents